Bug 1532497 (CVE-2017-1000487) - CVE-2017-1000487 plexus-utils: Mishandled strings in Commandline class allow for command injection
Summary: CVE-2017-1000487 plexus-utils: Mishandled strings in Commandline class allow ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-1000487
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 958733 1009412
Blocks: 1532498
TreeView+ depends on / blocked
 
Reported: 2018-01-09 06:37 UTC by Sam Fowler
Modified: 2019-09-29 14:29 UTC (History)
63 users (show)

Fixed In Version: plexus-utils 3.0.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-07 20:13:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1322 None None None 2018-05-03 19:05:36 UTC

Description Sam Fowler 2018-01-09 06:37:19 UTC
The Commandline class in plexus-utils before 3.0.16 is vulnerable to command injection because it does not correctly process the contents of double quoted strings.

References:
https://nvd.nist.gov/vuln/detail/CVE-2017-1000487
https://github.com/codehaus-plexus/plexus-utils/commit/b38a1b3a4352303e4312b2bb601a0d7ec6e28f41
https://snyk.io/vuln/SNYK-JAVA-ORGCODEHAUSPLEXUS-31522

Comment 1 Joshua Padman 2018-01-09 23:36:20 UTC
OpenDaylight in Red Hat OpenStack 8 & 9 is released as a technical preview and is unsupported.

Comment 6 Kurt Seifried 2018-03-02 21:10:28 UTC
Updated statement and status of Satellite 6

Comment 7 Kurt Seifried 2018-03-02 21:11:09 UTC
Statement:

This issue affects the versions of plexus-utils as shipped with Red Hat Enterprise Linux 7 as well as Red Hat Satellite 6.0 and 6.1. Red Hat Satellite 6.2 and later do not ship plexus-utils, as such they are not affected by this vulnerability. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 9 errata-xmlrpc 2018-05-03 19:05:15 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:1322 https://access.redhat.com/errata/RHSA-2018:1322


Note You need to log in before you can comment on or make changes to this bug.